Summary:	SSLv3/TLS network protocol analyzer
Summary(pl.UTF-8):	Analizator protokołu sieciowego SSLv3/TLS
Name:		ssldump
Version:	0.9b3
Release:	8
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.rtfm.com/ssldump/%{name}-%{version}.tar.gz
# Source0-md5:	ac8c28fe87508d6bfb06344ec496b1dd
Patch0: 	%{name}-openssl.patch
Patch1:		aes-support.patch
URL:		http://www.rtfm.com/ssldump/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel >= 2:0.8.3
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ssldump is an SSLv3/TLS network protocol analyzer. It identifies TCP
connections on the chosen network interface and attempts to interpret
them as SSLv3/TLS traffic. When it identifies SSLv3/TLS traffic, it
decodes the records and displays them in a textual form to stdout. If
provided with the appropriate keying material, it will also decrypt
the connections and display the application data traffic.

%description -l pl.UTF-8
ssldump to analizator protokołu sieciowego SSLv3/TLS. Identyfikuje
połączenia TCP na wybranym interfejsie sieciowym i próbuje
interpretować je jako ruch SSLv3/TLS. Po zidentyfikowaniu ruchu
SSLv3/TLS dekoduje rekordy i wyświetla je w postaci tekstowej na
standardowym wyjściu. W przypadku wyposarzenia we właściwe klucze
będzie także dekodował połączenia i wyświetlał ruch danych aplikacji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's#libpcap.a#libpcap.so#g' configure*
sed -i -e 's#net/bpf.h#pcap-bpf.h#g' base/pcap-snoop.c

%build
cp -f %{_datadir}/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--with-pcap-inc=%{_includedir} \
	--with-pcap-lib=%{_libdir} \
	--with-openssl-lib=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README
%attr(755,root,root) %{_sbindir}/ssldump
%{_mandir}/man1/*
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ssldump.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d746fba
- release 8 (by relup.sh)

* Wed Mar 09 2011 Marcin Banasiak <marcin.banasiak@gmail.com> fd324c6
- added AES support (patch by Adam Osuchowski)
- fixed build with openssl on x86_64
- release 7

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> e230d41
- release 6

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> cbaa17e
- fixed Group

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3786f81
- release 5

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 7c3a0ef
- release 4

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d13d401
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 50ca7bd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a136712
- converted to UTF-8

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> 4f2a63e
- rebuild due manpage on amd64 contains just null bytes

* Sun May 07 2006 areq <areq@pld-linux.org> 781c0b1
- build with new openssl
- taken from http://ftp.debian.org/debian/pool/main/s/ssldump/ssldump_0.9b3-2.1.diff.gz

* Sun May 07 2006 areq <areq@pld-linux.org> 0b750ea
- Build with new openssl

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 1fa3701
- pl

* Sun Nov 14 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 38d05f8
- initial pld release

